TCP and OpenIB BTLs cause performance degradation in unrelated frameworks  
There is no progress thread in TCP is you do not ask for it explicitly.
@jladd-mlnx I tested the PR and sent you the numbers, numbers are back to normal.